/*******************************************************************************
 * FoxWeaponAttachment_FlamingMeleeBase generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxWeaponAttachment_FlamingMeleeBase extends FoxWeaponAttachment_MeleeBase
    config(Weapon)
    notplaceable
    hidecategories(Navigation);

var ParticleSystem FlameParticleSystem;
var name PSSocketName;
var export editinline ParticleSystemComponent FlameParticleSystemComponent;
var export editinline PointLightComponent FlameLight;
var AkEvent StartBurnEvent;
var AkEvent StopBurnEvent;

simulated function AttachWeaponTo(SkeletalMeshComponent MeshCpnt, optional name SocketName)
{
    super(FoxWeaponAttachment).AttachWeaponTo(MeshCpnt, SocketName);
    // End:0x145
    if(WorldInfo.NetMode != NM_DedicatedServer)
    {
        // End:0x102
        if(FlameParticleSystem != none)
        {
            FlameParticleSystemComponent = WorldInfo.MyEmitterPool.SpawnEmitterMeshAttachment(FlameParticleSystem, MeshCpnt, PSSocketName, true);
            FlameParticleSystemComponent.ActivateSystem(true);
            MeshCpnt.AttachComponentToSocket(FlameLight, PSSocketName);
        }
        FlameLight.SetEnabled(true);
        // End:0x145
        if(StartBurnEvent != none)
        {
            PostAkEvent(StartBurnEvent);
        }
    }
    //return;    
}

simulated function DetachWeapon()
{
    super(FoxWeaponAttachment).DetachWeapon();
    // End:0x77
    if(FlameParticleSystemComponent != none)
    {
        FlameParticleSystemComponent.DeactivateSystem();
        FlameParticleSystemComponent.DetachFromAny();
        FlameLight.SetEnabled(false);
    }
    // End:0x9A
    if(StopBurnEvent != none)
    {
        PostAkEvent(StopBurnEvent);
    }
    //return;    
}

defaultproperties
{
    begin object name=FlameLightComponent0 class=PointLightComponent
        Brightness=0.650
        LightColor=(R=253,G=89,B=53,A=0)
        CastShadows=false
        bForceDynamicLight=true
        bUseImageReflectionSpecular=true
    object end
    // Reference: PointLightComponent'Default__FoxWeaponAttachment_FlamingMeleeBase.FlameLightComponent0'
    FlameLight=FlameLightComponent0
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_FlamingMeleeBase.AttachmentMesh'
    Mesh=AttachmentMesh
    MuzzleFlashLight=PointLightComponent'Default__FoxWeaponAttachment_FlamingMeleeBase.LightComponent0'
    begin object name=LensComp class=LensFlareComponent
        NextTraceTime=-0.52806170
        ReplacementPrimitive=none
    object end
    // Reference: LensFlareComponent'Default__FoxWeaponAttachment_FlamingMeleeBase.LensComp'
    MuzzleLensFlare=LensComp
    begin object name=AttachmentMesh class=SkeletalMeshComponent
        ReplacementPrimitive=none
    object end
    // Reference: SkeletalMeshComponent'Default__FoxWeaponAttachment_FlamingMeleeBase.AttachmentMesh'
    Components(0)=AttachmentMesh
}